
QGIS Application - Bug report #16824

regression: identify tool's highlight (red point/line/polygon) mislocated when panning/zooming 

around

2017-07-10 08:22 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: High

Assignee:

Category: Map Tools

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24723

Description

The attached screencast is self-explanatory.

Steps to reproduce

    1. Create a new project

    2. Add a polygon layer to your project

    3. Select the identify tool, and click on a polygon

    4. Pan the map around a bit (using the mouse wheel), you'll notice the selected feature's highlight polygon (red) doesn't get drawn at the

right location

Associated revisions

Revision 51170aec - 2017-08-29 09:47 AM - Mathieu Pellerin - nIRV

Revert "highlight fix" due to regression (fixes #16824)

This reverts commit 46596914e11dae13cd4d986941246c12f30aa0d9.

History

#1 - 2017-07-10 08:23 AM - Mathieu Pellerin - nIRV

- File identify-highlight-broken.mp4 added

#2 - 2017-07-10 10:15 AM - Andreas Neumann

Confirmed. Same happens on my QGIS master build commit:502efd1

#3 - 2017-07-28 05:49 AM - Mathieu Pellerin - nIRV

The regression was caused by this commit:46596914e11dae13cd4d986941246c12f30aa0d9

Reverting it fixes the wrongly positioned highlight.

#4 - 2017-07-28 06:07 AM - Radim Blazek

The fix resolved this problem: 

1. highlight a feature programmatically when it is outside current map canvas extent

2. zoom to that feature
3. the highlight disappears

Please don't simply revert without fixing the original problem.

More info http://lists.osgeo.org/pipermail/qgis-developer/2017-June/048948.html

#5 - 2017-07-28 06:09 AM - Mathieu Pellerin - nIRV

Radim, no worries, I didn't commit a revert, I actually reached out to you via github to point out the regression. Happy to test out any commit from you that'd

fix the regression.

#6 - 2017-08-29 09:48 AM - Mathieu Pellerin - nIRV

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|51170aec0ce0a2acfbb6805dc962dbf691bba356.

Files

identify-highlight-broken.mp4 1.92 MB 2017-07-10 Mathieu Pellerin - nIRV
